# Interface methods for submodule: RandomVariateGeneratorBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: RandomVariateGeneratorBase
class RandomVariateGeneratorBaseProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetVariate(self) -> float:
		""""""
		...

